import { CalendarDay, InCalendarPicker } from './interfaces/calendar-entities';
import { CalendarPeriodRelativityEnum } from './enums/calendar-period-relativity.enum';
import { DateRange } from './interfaces/date-range';
import moment from 'moment';
import * as i0 from "@angular/core";
export declare class CalendarManagerService {
    constructor();
    private locale;
    private previouslySelectedYear;
    setLocale(locale: string): void;
    generateCalendarForMonth(startDate: moment.Moment | Date, currentMonth: moment.Moment, selectedDates: moment.Moment[], dateRange: DateRange): Array<CalendarDay[]>;
    generateMonthPickerCollection(currentYear: number, dateRange: DateRange): InCalendarPicker[];
    generateYearPickerCollection(start: moment.Moment, margin: number, dateRange: DateRange): InCalendarPicker[];
    getWeekdays(short?: boolean): string[];
    getMonths(short?: boolean): string[];
    getYearList(start: moment.Moment, margin?: number): number[];
    findADateFromCalendar(date: moment.Moment | Date, calendarTable: Array<CalendarDay[]>): CalendarDay;
    getSelectedItemIndex(date: moment.Moment, selectedDates: moment.Moment[]): number;
    determineIfDateIsDisabled(currentDate: moment.Moment | Date, minDate: moment.Moment | Date, maxDate: moment.Moment | Date): boolean;
    determineDateRelativityToCurrentMonth(date: moment.Moment, currentMonth: moment.Moment): CalendarPeriodRelativityEnum;
    sortDatesAsc(dates: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarManagerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CalendarManagerService>;
}
