import { OnInit, EventEmitter, AfterViewInit, OnChanges } from '@angular/core';
import { InputCoreComponent } from '@sq-ui/ng-sq-common';
import { CalendarDay, InCalendarPicker } from '../interfaces/calendar-entities';
import { CalendarPeriodRelativityEnum } from '../enums/calendar-period-relativity.enum';
import { CalendarPeriodTypeEnum } from '../enums/calendar-period-type.enum';
import { TimepickerConfig } from '../interfaces/timepicker-config';
import { CalendarManagerService } from '../calendar-manager.service';
import moment from 'moment';
import * as i0 from "@angular/core";
export declare class DatetimePickerComponent extends InputCoreComponent implements OnInit, AfterViewInit, OnChanges {
    private calendarManager;
    locale: string;
    maxDate: moment.Moment | Date;
    minDate: moment.Moment | Date;
    isMultipleSelect: boolean;
    format: string;
    isTimepickerEnabled: boolean;
    dateObjectType: string;
    timepickerConfig: TimepickerConfig;
    dateSelectionChange: EventEmitter<moment.Moment | Date>;
    weekdays: string[];
    months: InCalendarPicker[];
    yearsList: InCalendarPicker[];
    calendar: Array<CalendarDay[]>;
    currentMonth: moment.Moment;
    isMonthsPickerEnabled: boolean;
    isYearsPickerEnabled: boolean;
    time: moment.Moment;
    calendarPeriodRelativity: typeof CalendarPeriodRelativityEnum;
    period: CalendarPeriodTypeEnum;
    private selectedDates;
    private parsedSelectedDates;
    constructor(calendarManager: CalendarManagerService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changesObj: any): void;
    writeValue(newValue: any): void;
    onDateClick(date: CalendarDay): void;
    select(date: CalendarDay): void;
    next(): void;
    previous(): void;
    getMonthCalendar(startPeriod: moment.Moment): Array<CalendarDay[]>;
    showMonthsPicker(year?: number): void;
    showYearsPicker(): void;
    selectMonth(month: any): void;
    selectYear(year: any): void;
    onTimeChange(): void;
    private markDateAsSelected;
    private deselectAll;
    private setValueResult;
    private toValueDateObjectTypeIfNeeded;
    private toValueFormatIfNeeded;
    private setValueTimeIfNeeded;
    private sortValueIfNeeded;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatetimePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatetimePickerComponent, "sq-datetime-picker", never, { "locale": { "alias": "locale"; "required": false; }; "maxDate": { "alias": "maxDate"; "required": false; }; "minDate": { "alias": "minDate"; "required": false; }; "isMultipleSelect": { "alias": "isMultipleSelect"; "required": false; }; "format": { "alias": "format"; "required": false; }; "isTimepickerEnabled": { "alias": "isTimepickerEnabled"; "required": false; }; "dateObjectType": { "alias": "dateObjectType"; "required": false; }; "timepickerConfig": { "alias": "timepickerConfig"; "required": false; }; }, { "dateSelectionChange": "dateSelectionChange"; }, never, never, false, never>;
}
