import { OnInit, OnChanges, EventEmitter, AfterViewInit } from '@angular/core';
import { InputCoreComponent } from '@sq-ui/ng-sq-common';
import { TimeUnit } from '../enums/time-unit.enum';
import * as i0 from "@angular/core";
export declare class TimePickerComponent extends InputCoreComponent implements OnInit, AfterViewInit, OnChanges {
    hourStep: number;
    minuteStep: number;
    isMeridiem: boolean;
    isEditable: boolean;
    inputHours: number;
    inputMinutes: number;
    timeObjectType: string;
    inputHoursChange: EventEmitter<number>;
    inputMinutesChange: EventEmitter<number>;
    hours: any;
    minutes: any;
    noonRelativity: string;
    timeUnit: typeof TimeUnit;
    private start;
    private hourFormat;
    limits: {
        hours: {
            min: number;
            max: number;
        };
        minutes: {
            min: number;
            max: number;
        };
    };
    constructor();
    ngOnInit(): void;
    ngOnChanges(changesObj: any): void;
    ngAfterViewInit(): void;
    increment(unit: TimeUnit): void;
    decrement(unit: TimeUnit): void;
    changeNoonRelativity(): void;
    validateInput(unit: TimeUnit): void;
    private normalizeTimeInput;
    private setValueResult;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimePickerComponent, "sq-time-picker", never, { "hourStep": { "alias": "hourStep"; "required": false; }; "minuteStep": { "alias": "minuteStep"; "required": false; }; "isMeridiem": { "alias": "isMeridiem"; "required": false; }; "isEditable": { "alias": "isEditable"; "required": false; }; "inputHours": { "alias": "hours"; "required": false; }; "inputMinutes": { "alias": "minutes"; "required": false; }; "timeObjectType": { "alias": "timeObjectType"; "required": false; }; }, { "inputHoursChange": "hoursChange"; "inputMinutesChange": "minutesChange"; }, never, never, false, never>;
}
